org.eclnt.jsfserver.elements.componentnodes

## Class CLIENTCOOKIENode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.CLIENTCOOKIENode

- All Implemented Interfaces:
    java.io.Serializable

      public class CLIENTCOOKIENode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CLIENTCOOKIENode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CLIENTCOOKIENode` | `bindComment(IDynamicContentBindingObject value)`
    `CLIENTCOOKIENode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `CLIENTCOOKIENode` | `bindName(IDynamicContentBindingObject value)`
    `CLIENTCOOKIENode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `CLIENTCOOKIENode` | `bindTriggerreread(IDynamicContentBindingObject value)`
    `CLIENTCOOKIENode` | `bindValue(IDynamicContentBindingObject value)`
    `CLIENTCOOKIENode` | `setAttributemacro(java.lang.String value)`
    `CLIENTCOOKIENode` | `setComment(java.lang.String value)`
    `CLIENTCOOKIENode` | `setConfiginfo(java.lang.String value)`
    `CLIENTCOOKIENode` | `setId(java.lang.String value)`
    `CLIENTCOOKIENode` | `setName(java.lang.String value)`
    `CLIENTCOOKIENode` | `setReference(java.lang.String value)`
    `CLIENTCOOKIENode` | `setStylevariant(java.lang.String value)`
    `CLIENTCOOKIENode` | `setTriggerreread(java.lang.String value)`
    `CLIENTCOOKIENode` | `setValue(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CLIENTCOOKIENode

          public CLIENTCOOKIENode()

  - ### Method Detail

    - #### setId

          public CLIENTCOOKIENode setId(java.lang.String value)

    - #### setAttributemacro

          public CLIENTCOOKIENode setAttributemacro(java.lang.String value)

    - #### setComment

          public CLIENTCOOKIENode setComment(java.lang.String value)

    - #### bindComment

          public CLIENTCOOKIENode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public CLIENTCOOKIENode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public CLIENTCOOKIENode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setName

          public CLIENTCOOKIENode setName(java.lang.String value)

    - #### bindName

          public CLIENTCOOKIENode bindName(IDynamicContentBindingObject value)

    - #### setReference

          public CLIENTCOOKIENode setReference(java.lang.String value)

    - #### setStylevariant

          public CLIENTCOOKIENode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public CLIENTCOOKIENode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTriggerreread

          public CLIENTCOOKIENode setTriggerreread(java.lang.String value)

    - #### bindTriggerreread

          public CLIENTCOOKIENode bindTriggerreread(IDynamicContentBindingObject value)

    - #### setValue

          public CLIENTCOOKIENode setValue(java.lang.String value)

    - #### bindValue

          public CLIENTCOOKIENode bindValue(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.